### Constructor

# Foundry TemplateOutput new

#### Declaration [src]

    FoundryTemplateOutput*
    foundry_template_output_new (
      GFile* file,
      GBytes* contents,
      int mode
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` to write to.

  The data is owned by the caller of the function.

`contents`

  Type: `GBytes`

  The contents to write as an immutable byte buffer.

  The data is owned by the caller of the function.

`mode`

  Type: `int`

  The file mode (or -1 to use the default).

#### Return value

Type: `FoundryTemplateOutput`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.